Tspi_Policy_FlushSecret(3)

TCG Software Stack Developers Reference

NAME
Tspi_Policy_FlushSecret - flush a cached secret

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_Policy_FlushSecret(TSS_HPOLICY hPolicy);

DESCRIPTION

Tspi_Policy_FlushSecret tells the TSS to flush a secret that it had cached for a user.

PARAMETERS

  hPolicy
The hPolicy parameter is the handle of the policy object to be flushed.

RETURN CODES

Tspi_Policy_FlushSecret returns TSS_SUCCESS on success, otherwise one of the following values is returned:

TSS_E_INVALID_HANDLE
    hPolicy is not a valid handle.

TSS_E_INTERNAL_ERROR
    An internal SW error has been detected.

CONFORMING TO

Tspi_Policy_FlushSecret conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_Policy_SetSecret(3), Tspi_Policy_AssignToObject(3).